Subject: Re: bug#74208: 31.0.50; minibuffer read-file-name-default mutates global value of default-directory incorrectly

From: Madhu <[email-masked]>
Date: Mon, 11 Nov 2024 07:47:25 +0530 (IST)

>> The problem is that the parameter DIR == "http://example.com" was
>> getting bound to default-directory with undesirable results.

> It can also have desirable results sometimes (depends on the URL at point
> and what kind of support for URLs you have in your Emacs, admittedly).
> Do you happen to have a more realistic scenario than your "echo foo"
> that lets us better judge the severity of the problem, and maybe other
> ways to solve the actual problem?

Are you saying it is ok for emacs to make all calls to `call-prcoess'
to unconditionally fail --- when emacs is waiting for input at the
minibuffer?  the calls to call-process can come from anywhere, from
timers, or from outside via emacsclient, etc.

I already posted that any hypothetical completion facilites are
singularly useless for the task of ffap (url) -- to get the url at
point into the minibuffer and maybe manually edit it.  If these
facilities exist and you are using them, I'd like to see an example.